--
-- $Id$
--  ARAI#37298: Planningsconsole + Automatische urenregistratie


DEFINE thisfile = 'ARAI24.sql'
DEFINE dbuser   = '^ARAI'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- Voor interne opdrachten: opdrachtkosten van uren per week -> totaal geregist. uren >> Opdrachtkosten (/Factuur matching)van "Wekelijkse uren" (3) aanpassen in "Totaal geregistreerde uren" (6)
-- Nieuwe veld 'Strikt sequentieel:' aanvinken.
 
UPDATE mld_typeopdr
SET mld_typeopdr_matchtype = 6,
    mld_typeopdr_sequential = 1
WHERE mld_typeopdr_key = 281;

-- Menutaak voor het planbord/  planningsconsole medewerkers
INSERT INTO fac_menu (fac_menu_altgroep, fac_menu_volgnr, fac_menu_altlabel, fac_menu_alturl, fac_functie_key)
SELECT 1, 4095, 'Planningsconsole', 'appl/mld/opdr_search.asp?urole=bo' || '&' || 'planbord=1', (SELECT fac_functie_key FROM fac_functie WHERE fac_functie_code = 'WEB_ORDBOF')
FROM DUAL;


-- Menutaak Mobile: 
--a) Mijn opdrachten: appl/pda/orders_list.asp?own=1
--b) Klusopdrachten: appl/pda/orders_list.asp?klus=1
INSERT INTO fac_menu (fac_menu_altgroep, fac_menu_volgnr, fac_menu_altlabel, fac_menu_alturl, fac_functie_key, fac_menu_image)
SELECT 3, 36950, 'Mijn opdrachten', 'appl/pda/orders_list.asp?own=1', (SELECT fac_functie_key FROM fac_functie WHERE fac_functie_code = 'WEB_ORDBO2'), 'fa-briefcase'
FROM DUAL;

INSERT INTO fac_menu (fac_menu_altgroep, fac_menu_volgnr, fac_menu_altlabel, fac_menu_alturl, fac_functie_key, fac_menu_image)
SELECT 3, 36960, 'Stopklussen', 'appl/pda/orders_list.asp?klus=1', (SELECT fac_functie_key FROM fac_functie WHERE fac_functie_code = 'WEB_ORDBO2'), 'fa-briefcase'
FROM DUAL;


-- Interne opdrachten die geaccepteerd of toegekend zijn na 1 mei 2017 met een uitvoerende dat een persoon (en geen bedrijf) is
-- De 'persoon'-uitvoerende wordt aangepast in RAI (intern bedrijf 21), de behandelaar wordt aangepast in de 'persoon'-uitvoerende.
-- Eventueel kan deze conversie weer terug worden gedraaid (door mld_uitvoerende_key = prs_perslid_key te maken), en perslid = NULL (waarbij hier mogelijk is hierbij wel verlies van de originele behandelaar)
UPDATE mld_opdr o
SET mld_uitvoerende_keys = 21, prs_perslid_key =o.mld_uitvoerende_keys
WHERE  EXISTS (SELECT 'x' FROM prs_perslid p WHERE p.prs_perslid_key = o.mld_uitvoerende_keys)
AND o.MLD_TYPEOPDR_KEY = 281
AND o.MLD_STATUSOPDR_KEY IN (5,8)
AND mld_opdr_datumbegin >= to_date('01-05-2017','dd-mm-yyyy');

-- Oude/huiidge Menutaak 'Onze opdrachten' (volgnummer 36900) op de autorisatie WEBUSER30 zetten, die niemand heeft, zodat deze onzichtbaar is.
-- Indien toch niet gewenst, dan kan de deze extra autorisatie er weer af worden gehaald.
UPDATE fac_menu SET fac_functie_key = (SELECT fac_functie_key FROM fac_functie WHERE fac_functie_code = 'WEB_USER30')
WHERE fac_menu_key = 667;

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

--arai.sql
@arai.sql
